﻿using iFileProxy.Attributes;
using iFileProxy.Interfaces;

namespace iFileProxy.Handlers.CommandLine
{
    [CommandLineArgument(FullArgumentName = "--bind-url", ShortArgumentName = "-B", Description = "自定义绑定URL", NeedValue = true)]
    public class CustomBindUrl(string[] args) : ICommandLineHandler
    {
        public void Process()
        {
            Console.WriteLine("当前正使用自定义URL绑定");
            // 具体的实现在Program.cs中 此处仅作提示
        }
    }
}
