﻿using iFileProxy.Attributes;
using iFileProxy.Interfaces;

namespace iFileProxy.Handlers.CommandLine
{
    [CommandLineArgument(FullArgumentName = "--disable-startup-check", ShortArgumentName = "-D", Description = "禁用配置文件启动前校验")]
    public class DisablePreStartupCheck(string[] args) : ICommandLineHandler
    {
        public void Process()
        {
            Console.WriteLine("已禁用启动前配置文件校验");
            // 具体的实现在Program.cs中 此处仅作提示
        }
    }
}
