﻿using iFileProxy.Attributes;
using iFileProxy.Interfaces;

namespace iFileProxy.Handlers.CommandLine
{
    [CommandLineArgument(FullArgumentName = "--dev-logging", ShortArgumentName = "-d", Description = "启用dev级别日志记录")]
    public class EnableDevLogger(string[] args) : ICommandLineHandler
    {
        public void Process()
        {
            Console.WriteLine("dev level logging has enabled.");
            // 具体的实现在SerilogConfig.cs中 此处仅作提示
        }
    }
}
