﻿namespace iFileProxy.Models.Other
{
    /// <summary>
    /// MySQL 进程列表信息
    /// </summary>
    public class ProcessListInfo
    {
        /// <summary>
        /// 连接ID
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string User { get; set; } = string.Empty;

        /// <summary>
        /// 主机信息
        /// </summary>
        public string Host { get; set; } = string.Empty;

        /// <summary>
        /// 数据库名
        /// </summary>
        public string Db { get; set; } = string.Empty;

        /// <summary>
        /// 命令类型
        /// </summary>
        public string Command { get; set; } = string.Empty;

        /// <summary>
        /// 执行时间(秒)
        /// </summary>
        public long Time { get; set; }

        /// <summary>
        /// 连接状态
        /// </summary>
        public string State { get; set; } = string.Empty;

        /// <summary>
        /// 执行的SQL
        /// </summary>
        public string Info { get; set; } = string.Empty;
    }
}
